#include "Engine.h"

cTextureManager g_TextureManager;
cInputManager g_InputManager;
SDL_Surface* screen;
cSoundManager g_SoundManager;
cRenderManager g_RenderManager;
cEngine g_Engine;

//-----------------------------------------

cCompleteScreen::cCompleteScreen(std::string Name) : cRenderObject(Name)
{
    m_Surface = g_TextureManager.loadSurface("Complete.bmp");
    m_Visible = false;
}

void cCompleteScreen::update(SDL_Surface *Screen)
{
    SDL_BlitSurface(m_Surface, NULL, Screen, NULL);
}

bool cCompleteScreen::updateKey(SDLKey Key)
{
    m_Visible = false;
    return true;
}
